#!/bin/bash

###############################################################
#
#  Kill RHB instance if necessary
#
#

pkill RHB
pkill faster_file2rhb

###############################################################
#
#  Display data file content summary
#
#  see in the file : label 1 is ADC
#

echo "-------------------------------------------------------------------"

faster_disfast  ../../../adc_data_0001.fast  -I

echo "-------------------------------------------------------------------"

###############################################################
#
#  Send data to RHB at 10kHz
#     => 0.0001s delay
#     => processus in background (&)
#

faster_file2rhb  ../../../adc_data_0001.fast  0.0001 &

###############################################################
#
#  Launch RHB visu
#
#  see .RHBrc        	 ->  RHB default behaviours
#      SPECTRO.pid       ->  faster data declaration
#      SPECTRO.facqConf  ->  histograms declaration
#      SPECTRO.rhvConf   ->  visualisation configuration
#

RHB  -r












###############################################################
pkill faster_file2rhb
